import { ReactNode, ReactText, MutableRefObject, FunctionComponent } from 'react';
import { MenuOption } from '../../Select';
import { FixedSizeList } from 'react-window';
import { OptionData, SelectedOption } from '../../types';
export declare type MenuListProps = Readonly<{
    height: number;
    itemSize: number;
    loadingMsg: string;
    isLoading?: boolean;
    overscanCount?: number;
    width: string | number;
    menuOptions: MenuOption[];
    focusedOptionIndex: number;
    noOptionsMsg: string | null;
    itemKeySelector?: ReactText;
    renderOptionLabel: (data: OptionData) => ReactNode;
    fixedSizeListRef: MutableRefObject<FixedSizeList | null>;
    selectOption: (option: SelectedOption, isSelected?: boolean) => void;
}>;
declare const MenuList: FunctionComponent<MenuListProps>;
export default MenuList;
